services:
    ReCaptcha\ReCaptcha:
        arguments:
            $secret: '%env(GOOGLE_RECAPTCHA_SECRET)%'
            $requestMethod: '@ReCaptcha\RequestMethod'

    ReCaptcha\RequestMethod: '@ReCaptcha\RequestMethod\CurlPost'
    ReCaptcha\RequestMethod\CurlPost: null
    ReCaptcha\RequestMethod\Curl: null